XFcDateTime class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcDateTime Class Reference

Interface to the device's current date/time. More...

List of all members.

## Public Member Functions

XFCIMPORT void | update ()
| Updates the contents of the object to current date/time.

## Static Public Member Functions

XFCIMPORT XFcDateTime * | create ()
| Static constructor.

## Public Attributes

UINT16 | mYear
| Year, in 4 (or more) decimal digits.
UINT16 | mMonth
| Month, first month being 1.
UINT16 | mDay
| Day, first day being 1.
UINT16 | mHour
| Hour, 0 through 23, inclusive.
UINT16 | mMinute
| Minute, 0 through 59, inclusive.
UINT16 | mSecond
| Second, 0 through 59, inclusive.
UINT16 | mMillisecond
| Millisecond, 0 through 999, inclusive.

## Protected Member Functions

XFCIMPORT | XFcDateTime ()
| Protected constructor.

## Detailed Description

Interface to the device's current date/time.

The XFcDateTime class relies on the underlaying operating system for its functionality. If the operating system does not report some information, that value is set to some sensible default value.

## Constructor & Destructor Documentation

XFCIMPORT XFcDateTime::XFcDateTime | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

XFCIMPORT XFcDateTime* XFcDateTime::create | ( |  | ) | `[static]`

Static constructor.

Note:
  Sets object to the current date/time.

XFCIMPORT void XFcDateTime::update | ( |  | ) |

| Updates the contents of the object to current date/time.

## Member Data Documentation

UINT16 XFcDateTime::mDay

| Day, first day being 1.

UINT16 XFcDateTime::mHour

| Hour, 0 through 23, inclusive.

UINT16 XFcDateTime::mMillisecond

| Millisecond, 0 through 999, inclusive.

UINT16 XFcDateTime::mMinute

| Minute, 0 through 59, inclusive.

UINT16 XFcDateTime::mMonth

| Month, first month being 1.

UINT16 XFcDateTime::mSecond

| Second, 0 through 59, inclusive.

UINT16 XFcDateTime::mYear

| Year, in 4 (or more) decimal digits.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch